%
%  GLOBEC Endeavor 267 Alongtrack Data 

% The preceding empty line is important
% $Log: gben7ss.m,v $
% Revision 1.1  2000/09/19 20:50:41  kwoklin
% First toolbox internal release.   klee
%

% $Id: gben7ss.m,v 1.1 2000/09/19 20:50:41 kwoklin Exp $
% klee 09/2000
% klee 04/1999

GetFunctionName = 'getjgsta';
Server = 'http://dods.gso.uri.edu/cgi-bin/nph-jg/en267ss'; 
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';

LonRange = [-71.5 -65.5]; 
LatRange = [40.0 43.8];   
TimeRange = [1996.024600601 1996.059010833];
DepthRange = [-994.4 -1040.9];  
Resolution = nan;

DodsName = str2mat('wind_paws','wind_saws','wind_pawa','wind_sawa',...
                   'temp_air','humidity','temp_ss1','eppley_pir',...
                   'eppley_psp');
DataName = 'AlongTrack --  Endeavor 267 (CTD, MET & Navigation) -- WHOI/GLOBEC ';    
%%LongitudeName = 'lon';
%%LatitudeName = 'lat';
%%TimeName = str2mat('day_gmt','time_gmt');     
DepthName = 'press_bar';
DepthUnits = 'millibars';
DepthFlag = [0;0;1;0;0];
SelectableVariables = str2mat('App_Wind_Speed_Pt', ...
    'App_Wind_Speed_St', 'App_Wind_Dir_Pt','App_Wind_Dir_St',...
    'Air_Temp','Humidity','Sea_Temp','Eppley_PIR','Eppley_PSP');
OptionalVariables = str2mat('temp_ss5');
SelectableOptional = str2mat('Sea_Surface_Temp');

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                                  Endeavor 267 Alongtrack Data      ',...
'   ',...
'                   Parameter         Description                               Units',...
'                 --------------------------------------------------------------------',...
'   ',...
'                   year_gmt          GMT year',...
'                   month_gmt         GMT month',...
'                   day_gmt           GMT day',...
'                   time_gmt          GMT time (using Magellan GPS)',...
'                   lat               latitude                                  decimal degrees',...
'                   lon               longitude                                 decimal degrees',...
'                   qual_mag          quality of Magellan GPS',...
'                   speed_mag         speed via Magellan GPS                    meters/second',...
'                   couse_mag         course via Magellan GPS                   meters/second',...
'                   time2_gmt         GMT time via secondary source',...
'                   lat2              latitude (Trimball)                       decimal degress',...
'                   lon2              longitude (Trimball)                      decimal degress',...
'                   qual_trim         quality of Trimball GPS',...
'                   speed_trim        speed via Trimball GPS                    meters/second',...
'                   couse_trim        course via Trimball GPS                   meters/second',...
'                   wind_paws         port apparent wind speed                  meters per second',...
'                   wind_saws         starboard apparent wind speed             meters per second',...
'                   wind_pawa         port apparent wind azimuth                degrees',...
'                   wind_sawa         starboard apparent wind azimuth           degrees',...
'                   temp_air          air temperature                           degrees C',...
'                   humidity          relative humidity                         percent',...
'                   press_bar         barometric pressure                       millibars',...
'                   temp_ss5          sea surface temperature                   degrees',...
'                                     measured 5 meters below the surface',...
'                   speed_f_b         forward speed with respect to             meters per second',...
'                                     the bottom',...
'                   eppley_pir        Eppley PIR, long wave radiation           watts per square meter',...
'                   eppley_psp        Eppley PSP, global sun and sky            watts per square meter',...
'                                     radiation (short wave)',...
'                   depth_sl          water depth via Edo speed log             meters',...
'                   head              heading                                   degress',...
'                   head2             heading via secondary source              degrees',...
'                   temp_ss1          sea surface temperature                   degrees',...
'                                     measured 1 meter below the surface',...
'                   depth_cs          chirp Sonar depth below                   meters',...
'                                     transducer',...
'                   mode              EDO speed log tracking mode               character',...
'                   yrday0_gmt        system year-day & time                    decimal number',...
'                                     (Jan 1 = 0)',...
'  ',...
'  ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Jan. 10, 1996 (1996.024600601) ', ...
'         Ending_Date:    Jan. 22, 1996 (1996.059010833)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 71.4200 W ', ...
'              East Bounding Coordinate: 65.8133 W ', ...
'              South Bounding Coordinate: 40.3312 N ', ...
'              North Bounding Coordinate: 43.6589 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Peter Wiebe', ...
'               WHOI',...
'               Redfield 2-26 MS #33 ',...
'               Woods Hole, MA 02543-1049 ', ...
'               USA',...
'               Electronic Mail Address:INTERNET > pwiebe@whoi.edu',...
'               FAX: 508-457-2169 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];
