%
%  Globec Wind Stress From NOAA Buoys

%
% $Log: gbnfws.m,v $
% Revision 1.1  2000/09/19 20:50:41  kwoklin
% First toolbox internal release.   klee
%

% $Id: gbnfws.m,v 1.1 2000/09/19 20:50:41 kwoklin Exp $
% klee 08/2000
% klee 03/1999

GetFunctionName = 'getjgsta';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/gbnfws.dat'; 
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';

LonRange = [-70 -65];
LatRange = [40 43];
%TimeRange = [1975.32865315 1997.99988575];
TimeRange = [1975.32865315 1998];
DepthRange = [0.0 0.0];
Resolution = nan;

DataName = 'Wind - Wind Stress from NOAA Buoys - NMFS/GLOBEC';    
LongitudeName = '';
LatitudeName = '';
%%TimeName = str2mat('year','','','yrday0_gmt','','','','','','');         
DepthName = '';
DepthUnits = '';
DodsName = str2mat('taux','tauy');
SelectableVariables = str2mat('U_Wind_Stress','V_Wind_Stress');
OptionalVariables = nan;

DataNull = [nan nan nan nan 0 0];

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                            Globec Wind Stress From NOAA Buoys',...
'   ',...
'                   Parameter         Description                    Units',...
'                 ----------------------------------------------------------',...
'                   yrday_gmt         year & yearday combo           decimal yearday   ',...             
'                   taux              eastward(+)/west(-) stress     Pascals',...
'                   tauy              northward(+)/south stress      Pascals',...
'   ',...
'Wind Stress as calculated by Large & Pond (JPO, ''81) where the wind is corrected to 10m elevation.',...
'   ',...
'Matlab code ("wstr.m") & raw data available on request from Jim Manning.',...
'   ',...
'Additional information is available in the manuscript located at',...
'http://www.wh.whoi.edu/~jmanning/wind/wind.htm');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 29, 1975 (1975.32865315)', ...
'         Ending_Date:    Dec. 30, 1997 (1997.99988575)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 70 W ', ...
'              East Bounding Coordinate: 65 W ', ...
'              South Bounding Coordinate: 40 N ', ...
'              North Bounding Coordinate: 43 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               James Manning', ...
'               NMFS',...
'               Woods Hole, MA 02543',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > jmanning@whsun1.wh.whoi.edu',...
'               FAX: 508-495-2258 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1];
