%
%  URI 1.2km Great Lakes SST fronts

%
% $Log: glkfront.m,v $
% Revision 1.1  2000/05/31 23:12:55  dbyrne
% *** empty log message ***
%
% Revision 1.1  2000/05/31 22:59:20  root
% *** empty log message ***
%
% Revision 1.3  2000/05/25 22:32:12  root
% Cleaned up more code.  --dbyrne 00/05/26
%
% Revision 1.2  1999/09/02 18:27:25  root
% *** empty log message ***
%
% Revision 1.6  1999/07/21 17:47:01  kwoklin
% Recheck in. klee
%
% Revision 1.3  1999/06/01 06:48:41  dbyrne
%
%
% updating things ...
%
% Revision 1.2  1999/05/28 17:32:51  kwoklin
% Add all globec datasets. Fix depth representation for all globec datasets
% and nbneer dataset. Fix frontal display for htn and glkfront. Make use of
% getjgsta for all jgofs datasets. Point usgsmbay to new server. Point htn,
% glk, fth and prevu to new FF server.                                 klee
%

% $Id: glkfront.m,v 1.1 2000/05/31 23:12:55 dbyrne Exp $
% klee 12/98

GetFunctionName = 'getfront';
URL_m_File = 'getfturl';
Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/glkfronts';

LonRange = [-92.20 -76.10];
LatRange = [39.42 50.78];
TimeRange = [1985.0 1995.0];
DepthRange = [0 0];
DepthUnits = '';
Resolution = 1.236;         % avg resolution

DataScale = [NaN NaN; NaN NaN; NaN NaN; NaN NaN; 0 1; 0 1; 0 1;];

DodsName1 = str2mat('time','inlat','ixlat','inlon','ixlon','lat','lon');
DodsName  = str2mat('sst','sstgrad','sstgraddir');

% Name for this dataset.
%DataName = 'Great Lakes SST Fronts';       
                                          % PCC Changed 12/13/98 to regularize names.
DataName = 'SST - Great Lakes SST Fronts - URI';       
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = 'time';           %correspond to 'time' in dataset
DepthName = '';

SelectableVariables = str2mat('Sea_Temp','Temp_Grad','Temp_Grad_Direction');

Acknowledge = sprintf('%s\n\n%s\n%s\n%s\n%s\n%s\n%s', ...
    [ 'The authors of this dataset are J.F. Cayula, D.S. Ullman and P. Cornillon.  ', ...
      'The data were provided by the University of Rhode Island ', ...
      '(http://www.cdc.noaa.gov) and accessed via ', ...
      'the Distributed Oceanographic Data System (DODS: ', ...
      'http://www.unidata.ucar.edu/packages/dods).'], ...
    [ 'Citations: Cayula, J-F., P. Cornillon, R. Holyer and S. Peckinpaugh. ',...
      'Comparative Study of Two Recent Edge Detection Algorithms Designed ',...
      'to Process Sea Surface Temperature Fields. ',...
      'IEEE Trans. on Geo. Rem. Sens., 29:175-177, 1991.'],...
    [ 'Cayula, J-F. and P. Cornillon. Edge detection algorithm for SST ',...
      'images. J. Atmos. Oceanic Technol., Vol. 9, No. 1, 67-80, 1992 '], ...
    [ 'Cayula, J-F. Multi-image edge detection for SST images. J. Atmos. ',...
      'Oceanic Technol., Vol. 12, No. 4, 821-829, 1995 '], ...
    [ 'Cayula, J-F. and P. Cornillon. Cloud Detection from a Sequence of SST ',...
      'Images. Remote Sens. Environ, 55:80-88, 1996. '],...
    [ 'Ullman, D. S. and P. C. Cornillon, Surface Temperature Fronts off the ',...
      'East Coast of North America from AVHRR Imagery, J. ',...
      'Geophy. Res., submitted 1998.']);

Comments1 = sprintf('%s\n', ...
'                    URI 1.2km Great Lakes SST fronts', ...
'     ', ...
'    The sea surface temperature (SST) fronts in this dataset are objectively', ...
'    located by application of an automated edge detection algorithm to SST', ...
'    images. ', ...
'    ', ...
'    The images cover the area from 34.68N to 45.72N and from 77.53W to 63.07W', ...
'    with a resolution of approximately 1.2 km/pixel, and are available for the', ...
'    period 1985 - 1996. (To view these SST images via this interface select the', ...
'     "Hatteras to Nova Scotia AVHRR" data set.)', ...
'    ', ...
'    Prior to edge detection, cloud-contaminated pixels are masked in the images', ...
'    using a declouding algorithm developed at the University of Rhode island. ', ...
'    For each SST image, this dataset provides location, SST, SST gradient and SST ', ...
'    gradient direction information for each pixel that was identified as a frontal ', ...
'    pixel.',...
'    ', ...
'    References ', ...
'    ', ...
'    Cayula, J-F., P. Cornillon, R. Holyer and S. Peckinpaugh. Comparative Study of Two ',...
'    Recent Edge Detection Algorithms Designed to Process Sea Surface Temperature Fields. ',...
'    IEEE Trans. on Geo. Rem. Sens., 29:175-177, 1991.',...
'    ',...
'    Cayula, J-F. and P. Cornillon. Edge detection algorithm for SST images. J. Atmos. ',...
'    Oceanic Technol., Vol. 9, No. 1, 67-80, 1992 ', ...
'    ', ...
'    Cayula, J-F. Multi-image edge detection for SST images. J. Atmos. Oceanic Technol.,',...
'    Vol. 12, No. 4, 821-829, 1995 ', ...
'    ', ...
'    Cayula, J-F. and P. Cornillon. Cloud Detection from a Sequence of SST Images. Remote',...
'    Sens. Environ, 55:80-88, 1996. ',...
'    ', ...'
'    Ullman, D., J. Brown, P. Cornillon, and T. Mavor, Surface Temperature Fronts in the ',...
'    Great Lakes, Journal of Great Lakes Research, 1998 (in press).');

Comments2 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: 1985 ', ...
'         Ending_Date: 1995 ', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 92.196 W ', ...
'              East Bounding Coordinate: 76.104 W ', ...
'              South Bounding Coordinate: 39.422 N ', ...
'              North Bounding Coordinate: 50.778 N ', ...
'    Units:  Once converted from digital counts ==> Degrees Centigrade ', ...
'    Spatial Resolution: 1.2 km',...
'    Thermal Resolution: .125 deg. C ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address: ', ...
'               Peter Cornillon ', ...
'               Graduate School of Oceanography ', ...
'               University of Rhode Island ', ...
'               South Ferry Road ', ...
'               Narragansett, Rhode Island  02882 ', ...
'               USA ', ...
'         Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2];